Subject: bug#64024: 29.0.91; `emoji-insert` shows me confusing empty lists

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Jun 2023 05:29:39 +0300

> Date: Mon, 12 Jun 2023 14:15:50 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
>     % src/emacs -Q
>     M-x emoji-insert RET
>     s s
> 
> I expect at this point to see a list of "smiling Smiley" emojis
> displayed in the small bottom window, but instead that window is empty
> (there's just a one-pixel-thick line about one-char wide at the very
> top-left) and it sits there.

I cannot reproduce this, neither in the 29.0.91 pretest nor in the
current emacs-29 branch.  I get the behavior you expected: a small
window at the bottom of the frame showing some smileys.

> Side note: during this `emoji-insert` interaction, I only see
> black&white emojis, so maybe this is linked to some compilation option
> I used which prevents the use of color emojis, tho I don't know what
> that option would be.

Do you have Noto Color Emoji font installed?